function z = f(X)
% test function for equitable designs.
% X is a matrix of points in input space (each row is a point)

d= size(X,2); % dimension of input space

% f = Prod_i x_i^i
% z = ones(size(X,1), 1); % set of computed values
% for i=1: d
%     z = z.*(X(:,i).^i);
% end

% f = Sum_i i*x_i
z = zeros(size(X,1), 1); % set of computed values
for i=1: d
    z = z + i*X(:,i);
end

% f = Sum_ij i*j*x_i*x_j
z = zeros(size(X,1), 1); % set of computed values
for i=1: d
    for j=i:d
    z = z + i*j*X(:,i).*X(:,j);
end
end